package cn.com.countrygarden.bi.main.model.performance;

/**
 * 用户指标
 *
 * @author Max Date:2018/07/12
 * @version 1.0
 */
public class UserTarget {
    private Integer utid;

    private String usercode;//用户编号

    private String elementid;//指标编号

    private Integer couldread;//查询(0:表示无权;1:表示有权)

    private Integer couldwrite;//保存/导入(0:表示无权;1:表示有权)

    private Integer couldlock;//锁定(0:表示无权;1:表示有权)

    private Integer couldunlock;//解锁(0:表示无权;1:表示有权)

    private Integer isdelete;//是否有效(0:表示存在;1:表示删除)

    private String createdate;

    private String createby;

    private String updatedate;

    private String updateby;

    public UserTarget(Integer utid, String usercode, String elementid, Integer couldread, Integer couldwrite, Integer couldlock, Integer couldunlock, Integer isdelete, String createdate, String createby, String updatedate, String updateby) {
        this.utid = utid;
        this.usercode = usercode;
        this.elementid = elementid;
        this.couldread = couldread;
        this.couldwrite = couldwrite;
        this.couldlock = couldlock;
        this.couldunlock = couldunlock;
        this.isdelete = isdelete;
        this.createdate = createdate;
        this.createby = createby;
        this.updatedate = updatedate;
        this.updateby = updateby;
    }

    public UserTarget() {
        super();
    }

    public Integer getUtid() {
        return utid;
    }

    public void setUtid(Integer utid) {
        this.utid = utid;
    }

    public String getUsercode() {
        return usercode;
    }

    public void setUsercode(String usercode) {
        this.usercode = usercode == null ? null : usercode.trim();
    }

    public String getElementid() {
        return elementid;
    }

    public void setElementid(String elementid) {
        this.elementid = elementid == null ? null : elementid.trim();
    }

    public Integer getCouldread() {
        return couldread;
    }

    public void setCouldread(Integer couldread) {
        this.couldread = couldread;
    }

    public Integer getCouldwrite() {
        return couldwrite;
    }

    public void setCouldwrite(Integer couldwrite) {
        this.couldwrite = couldwrite;
    }

    public Integer getCouldlock() {
        return couldlock;
    }

    public void setCouldlock(Integer couldlock) {
        this.couldlock = couldlock;
    }

    public Integer getCouldunlock() {
        return couldunlock;
    }

    public void setCouldunlock(Integer couldunlock) {
        this.couldunlock = couldunlock;
    }

    public Integer getIsdelete() {
        return isdelete;
    }

    public void setIsdelete(Integer isdelete) {
        this.isdelete = isdelete;
    }

    public String getCreatedate() {
        return createdate;
    }

    public void setCreatedate(String createdate) {
        this.createdate = createdate == null ? null : createdate.trim();
    }

    public String getCreateby() {
        return createby;
    }

    public void setCreateby(String createby) {
        this.createby = createby == null ? null : createby.trim();
    }

    public String getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(String updatedate) {
        this.updatedate = updatedate == null ? null : updatedate.trim();
    }

    public String getUpdateby() {
        return updateby;
    }

    public void setUpdateby(String updateby) {
        this.updateby = updateby == null ? null : updateby.trim();
    }
}